// const { validateHyUI, validateAnimatedValue } = require('../../dist/lib/validateAnimatedValue')
// const projectRoot = '/Users/simon/Developer/huya/hyext/just-dance'
// validateHyUI(projectRoot)
// validateAnimatedValue(projectRoot)
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
const _validateAnimatedValue = require("../validateAnimatedValue");
describe('getVersionFromStr', ()=>{
    it('with empty lines', ()=>{
        const str = `
/Users/simon/Developer/huya/hyext/just-dance/node_modules/@hyext/hy-ui:@hyext/hy-ui@1.3.26
/Users/simon/Developer/huya/hyext/just-dance/node_modules/@hyext/hy-ui:@hyext/hy-ui@1.1.26

`;
        expect((0, _validateAnimatedValue.getVersionFromStr)(str)).toEqual([
            '1.3.26',
            '1.1.26'
        ]);
    });
});
describe('validateVersions', ()=>{
    it('empty list', ()=>{
        expect((0, _validateAnimatedValue.validateVersionList)([])).toBe(true);
    });
    it('all greater or equal than base', ()=>{
        expect((0, _validateAnimatedValue.validateVersionList)([
            '1.2.3',
            '1.2.4',
            '1.2.4-beta.0'
        ], '1.2.3')).toBe(true);
    });
    it('some smaller than base', ()=>{
        expect((0, _validateAnimatedValue.validateVersionList)([
            '1.1.0',
            '1.2.3-beta.0',
            '1.4.0'
        ], '1.2.3')).toBe(false);
    });
});
