import { ExtCLI } from '@hyext/cli';
export type BundleType = 'RN_BUNDLE' | 'MINI_GAME_RN' | string;
type GenerateUrlOption = {
    extType: string;
    extUuid: string;
    registerComponent: string;
    SDKVersion: string;
    md5: string;
    rnbaseurl?: string;
    rnbasemd5?: string;
    RNVersion?: string;
};
export declare function generateProdUrl({ extType, extUuid, registerComponent, SDKVersion, md5, rnbaseurl, rnbasemd5, RNVersion, }: GenerateUrlOption): string;
interface BuildInfo {
    extType: ExtCLI.RNExtType;
    bundleRelativePath: string;
    registerComponents: {
        name: string;
        queryString?: string;
    }[];
    platform: ExtCLI.RNPlatform;
    SDKVersion: string;
    publicPath: string;
    bundleType?: BundleType;
}
interface ProdBuildInfo extends BuildInfo {
    bundleMd5: string;
    baseUrl?: string;
    baseMd5?: string;
}
interface UniformBuildInfo extends BuildInfo {
    registerComponents: {
        name: string;
        queryString: string;
    }[];
}
export interface BaseOptions {
    builderName: string;
}
interface ProdOptions extends BaseOptions {
    extInfo: {
        packageName: string;
        extUuid: string;
    };
    buildResultConfig: ProdBuildInfo[];
}
interface DevOptions extends BaseOptions {
    buildResultConfig: BuildInfo[];
}
interface UniformOptions extends BaseOptions {
    buildResultConfig: UniformBuildInfo[];
}
export declare function generateProdBuildResult({ builderName, extInfo, buildResultConfig }: ProdOptions): ExtCLI.RNBuildResult;
export declare function generateDevBuildResult({ builderName, buildResultConfig }: DevOptions): ExtCLI.RNBuildResult;
export declare function generateBuildResult({ builderName, buildResultConfig }: UniformOptions): ExtCLI.RNBuildResult;
export {};
